# Class BshClassPath.JarClassSource

java.lang.Object
bsh.classpath.BshClassPath.ClassSource
bsh.classpath.BshClassPath.JarClassSource

Enclosing class:
  `BshClassPath`

public static class BshClassPath.JarClassSource extends BshClassPath.ClassSource

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getCode(String className)`
`URL`
`getURL()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getURL

public URL getURL()

### getCode

public byte[] getCode(String className)

### toString

public String toString()

Overrides:
  `toString` in class `Object`